%define major	0
%define libname	%mklibname 2geom %{major}
%define devname	%mklibname 2geom -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		lib2geom
Summary:	Easy to use 2D geometry library in C++
Version:	1.2.2
Release:	%mkrel 2
License:	LGPLv2+ and MPLv1.1
Group:		System/Libraries
Url:		https://lib2geom.sourceforge.net/
# https://alpha.inkscape.org/releases/lib2geom-%%{version}.tar.bz2
Source0:	https://gitlab.com/inkscape/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
Patch0:		lib2geom-lib64.patch
Patch1:		lib2geom-abi-version.patch
Patch2:		lib2geom-no-rpath.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	cmake(double-conversion)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(cairomm-1.0)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	python3dist(cython)

%description
2Geom is a C++ 2D geometry library geared towards robust processing of
computational geometry data associated with vector graphics. The primary
design consideration is ease of use and clarity.

%package -n %{libname}
Summary:	Easy to use 2D geometry library in C++
Group:		System/Libraries

%description -n %{libname}
2Geom is a C++ 2D geometry library geared towards robust processing of
computational geometry data associated with vector graphics. The primary
design consideration is ease of use and clarity.

%package -n %{devname}
Summary:	Development files and headers for lib2geom
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Provides:	2geom-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for lib2geom.

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
%cmake \
	-D2GEOM_BUILD_SHARED:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING*
%{_libdir}/lib2geom.so.%{major}
%{_libdir}/lib2geom.so.%{version}

%files -n %{devname}
%doc *.md
%{_includedir}/2geom-%{version}/
%{_libdir}/lib2geom.so
%{_libdir}/cmake/2Geom/
%{_libdir}/pkgconfig/2geom.pc


%changelog
* Thu Dec 29 2022 daviddavid <daviddavid> 1.2.2-2.mga9
+ Revision: 1927516
- rebuild for new gsl 2.7.1

* Sat Dec 10 2022 ghibo <ghibo> 1.2.2-1.mga9
+ Revision: 1920343
- Update to release 1.2.2.
- Rework Patch0 (lib64), Patch1 (abi-version).
- Fix Source0 to point to release 1.2.2.

* Thu Mar 31 2022 umeabot <umeabot> 1.1.0-3.mga9
+ Revision: 1836963
- Mageia 9 Mass Rebuild

* Wed May 26 2021 daviddavid <daviddavid> 1.1.0-2.mga9
+ Revision: 1728337
- enable gtk3 support

* Wed May 26 2021 daviddavid <daviddavid> 1.1.0-1.mga9
+ Revision: 1728327
- new version: 1.1.0

* Tue Nov 03 2020 akien <akien> 1.0.0-4.mga8
+ Revision: 1642036
- Rebuild against py3cairo

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1529686
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Aug 27 2019 daviddavid <daviddavid> 1.0.0-2.mga8
+ Revision: 1433758
- rebuild for new gsl 2.6

* Sat Nov 17 2018 wally <wally> 1.0.0-1.mga7
+ Revision: 1330525
- imported package lib2geom

